Bug 469993 - Review Request: perl-MooseX-Types-URI - URI related types and coercions for Moose
Review Request: perl-MooseX-Types-URI - URI related types and coercions for M...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Ty...
:
Depends On: 469627 perl-URI-FromHash
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 23:28 EST by Chris Weyl
Modified: 2012-01-13 07:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-07 00:23:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-04 23:28:38 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Types-URI.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Types-URI-0.01-1.fc9.src.rpm

Description:
This package provides Moose types for fun (and profit) with the URI classes.

It has slightly DWIMier types than the the URI classes have due to
implementation details, so the types should be more forgiving when
ducktyping will work anyway (e.g. URI::WithBase does not inherit URI).
Comment 1 Marcela Mašláňová 2008-11-05 10:26:07 EST
There are needed requirements: perl(MooseX::Types::Path::Class), perl(URI::FromHash).
Comment 2 Chris Weyl 2008-11-05 11:18:58 EST
Hmm, I don't seem to be setting dependson/blocked right via xmlrpc since 3.0.
Comment 3 Marcela Mašláňová 2008-11-19 08:33:42 EST
Hm? I mean we don't have perl(MooseX::Types::Path::Class) and perl(URI::FromHash) packages into Fedora.
Comment 4 Chris Weyl 2008-11-19 11:27:40 EST
(In reply to comment #3)
> Hm? I mean we don't have perl(MooseX::Types::Path::Class) and
> perl(URI::FromHash) packages into Fedora.

As of a couple days ago, we do -- note the two review bugs that were blocking this bug.

http://koji.fedoraproject.org/koji/taskinfo?taskID=940190
Comment 5 Jason Tibbitts 2008-12-06 16:53:55 EST
I had intended to get to this earlier, but better late than never.

* source files match upstream.  sha256sum:
   a47ad01575d14ecf9d953a62ead043bb715afc0eed1c34549a65f925ca180be9  
   MooseX-Types-URI-0.01.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(MooseX::Types::URI) = 0.01
   perl-MooseX-Types-URI = 0.01-1.fc11
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(Moose::Util::TypeConstraints)
   perl(MooseX::Types)
   perl(MooseX::Types::Path::Class)
   perl(Scalar::Util)
   perl(URI)
   perl(URI::FromHash)
   perl(URI::WithBase)
   perl(URI::data)
   perl(URI::file)
   perl(namespace::clean)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=51,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.19 cusr  0.01 
    csys =  0.21 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 6 Chris Weyl 2008-12-06 17:11:38 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-Types-URI
Short Description: URI related types and coercions for Moose
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC:
Comment 7 Kevin Fenzi 2008-12-06 22:32:53 EST
cvs done.
Comment 8 Petr Pisar 2012-01-13 07:17:09 EST
Package Change Request
======================
Package Name: perl-MooseX-Types-URI
New Branches: 
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.
Comment 9 Gwyn Ciesla 2012-01-13 07:58:59 EST
Done.

Note You need to log in before you can comment on or make changes to this bug.